package com.gyee.table.alarm.repository;

import com.gyee.table.entity.ElectricalTestingPointAIEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface ElectricalTestingPointAIRepository extends JpaRepository<ElectricalTestingPointAIEntity, String>, JpaSpecificationExecutor {
    List<ElectricalTestingPointAIEntity> findByUniformCodeAndNameAndWindPowerStationId(String uniformcode, String name, String windpowerstationid);

}

