package com.gyee.table.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.table.entity.Line;
import com.gyee.table.mapper.LineMapper;
import com.gyee.table.service.ILineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author hlf
 * @date 2023/3/17 9:26
 * 文件说明：
 */
@Service
public class LineServiceImpl extends ServiceImpl<LineMapper, Line> implements ILineService {

    @Autowired(required = false)
    private LineMapper lineMapper;

    @Override
    public List<Line> getProjectid(String projectid) {
        return lineMapper.getProjectid(projectid);
    }
}
