package com.gyee.table.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.table.entity.Windturbine;
import com.gyee.table.mapper.WindturbineMapper;
import com.gyee.table.service.IWindturbineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author hlf
 * @date 2023/3/17 9:11
 * 文件说明：
 */
@Service
public class WindturbineServiceImpl extends ServiceImpl<WindturbineMapper, Windturbine> implements IWindturbineService {

    @Autowired(required = false)
    private WindturbineMapper windturbineMapper;

    @Override
    public List<Windturbine> getWindpowerstationid(String windpowerstationid) {
        return windturbineMapper.getWindpowerstationid(windpowerstationid);
    }
}
