package com.gyee.table.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author gfhd
 * @since 2023-01-17
 */
@Data
@TableName("table_column_header")
public class TableColumnHeader implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long tid;

    private String name;

    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    private String type;

    private String label;

    private String width;

    private String minwidth;

    private String prop;

    private String align;

    private Boolean showoverflowtooltip;

    private Boolean sortable;

    private boolean fixed;

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private String[] operations;

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private String[] children;

    private Boolean showfilters;

    private String filterstype;

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private String[] filters;

    private String formattype;

    @TableField(typeHandler = FastjsonTypeHandler.class)
    private String[] format;
}