package com.gyee.table.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.table.entity.Configurationinfo;
import com.gyee.table.mapper.ConfigurationinfoMapper;
import com.gyee.table.service.IConfigurationinfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author hlf
 * @date 2023/3/20 10:00
 * 文件说明：
 */
@Service
public class ConfigurationinfoServiceImpl extends ServiceImpl<ConfigurationinfoMapper, Configurationinfo> implements IConfigurationinfoService {

    @Autowired(required = false)
    private ConfigurationinfoMapper configurationinfoMapper;

    @Override
    public List<Configurationinfo> selectConfigurationinfoList(Configurationinfo configurationinfo) {
        return configurationinfoMapper.selectConfigurationinfoList(configurationinfo);
    }
}
