package com.gyee.table.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.table.entity.Project;
import com.gyee.table.mapper.ProjectMapper;
import com.gyee.table.service.IProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author hlf
 * @date 2023/3/17 9:23
 * 文件说明：
 */
@Service
public class ProjectServiceImpl extends ServiceImpl<ProjectMapper, Project> implements IProjectService {

    @Autowired(required = false)
    private ProjectMapper projectMapper;

    @Override
    public List<Project> getWindpowerstationid(String windpowerstationid) {
        return projectMapper.getWindpowerstationid(windpowerstationid);
    }
}
